<?php

require_once('codepointconfig.php');

function CodepointReady()
{
	global $configCodePointFile;
	return file_exists($configCodePointFile);
}

function GetCodepointData($needle)
{
	global $configCodePointFile;

	$needle = split(" ",$needle);
	//print_r($needle);
	if(count($needle)==1) //Original input had no space. Try to handle this case.
	{
		$l = strlen($needle[0]);
		if($l<4) return null; //Too short
		$inward = substr($needle[0],$l-3,3);
		$outward = rtrim(substr($needle[0],0,$l-3));				
		$needle = array($outward, $inward);
	}
	//print_r($needle);

	$arch = new ZipArchive();

	if($arch->Open($configCodePointFile)===FALSE)
	{
		throw new Exception("Cannot open source data file ".$configCodePointFile);
	}

	$fi = ($arch->getStream("Code-Point Open/Data/".strtolower(substr($needle[0],0,2)).".csv"));
	if($fi === FALSE)
	{
		throw new Exception("Cannot locate appropraite csv in codepoint");

	}

	$colNames = Null;
	do
	{
		$data = fgetcsv($fi);
		if($data === FALSE) continue;
		$l = strlen($data[0]);
		$inward = substr($data[0],$l-3,3);
		$outward = rtrim(substr($data[0],0,$l-3));
		//echo "'".$outward."'\t".$inward."\n";
		if($needle[0] == $outward and $needle[1] == $inward) return $data;

	} while ($data != FALSE);

	return Null;
}

function GetCodepointPos($needle)
{
	$data = GetCodepointData($needle);
	if($data === Null) return Null;
	return array((float)$data[10],(float)$data[11]);
}

?>
