<?php

require_once('dbutils.php');
$hardcodedSettings=array();
$secretsdb = new GenericSqliteTable("var/.secrets.db","secrets");
$configdb = new GenericSqliteTable("var/config.db","config");

$hardcodedSettings['enableArea'] = 0;
$hardcodedSettings['overallTitle'] = "LocServices";
$hardcodedSettings['subTitle'] = "Community Driven Dataset Improvement";

$hardcodedSettings['reuseTerms'] = "<p>This site aims to impose the minimum conditions on reuse of data but we are somewhat constrained by our data sources.</p><p>Each export contain a collection of records. Each record has a specific source and license associated with it. These are usually specified in the exported record itself. Please respect the licenses. Generally speaking, the original dataset license is unchanged (e.g. OGL). User comments and external links are CC0. Map tracing from OSM is CC BY-SA. Map tracing from OS Streetview should respect OS Opendata/OGL. Map tracing from old OS maps is generally CC0.</p><p>THIS DATA IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS DATA, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>";

$hardcodedSettings['reuseTermsExternal'] = "";

$hardcodedSettings['contact'] = "<h2><a href='TBC'>Contact TBC</a></h2><br/>
<h3>Additional Credits</h3>
<p>The locateservices system was written by <a href='http://wiki.openstreetmap.org/wiki/User:TimSC'>Tim Sheerman-Chase</a>. <a href='http://wiki.openstreetmap.org/wiki/LocateServices'>Documentation is available</a> on the wiki.</p>
<p>Additional graphics:</p>
<p><a href='http://www.flickr.com/photos/methticalman/3275410154/'>Aftermath of Etete 3</a> by methTICALman, <a href='http://creativecommons.org/licenses/by/2.0/deed.en_GB'>CC BY</a>.</p>
<p><a href='http://www.flickr.com/photos/renaissancechambara/4487061237/'>Pharmacy sign in Soho</a> by renaissancechambara, <a href='http://creativecommons.org/licenses/by/2.0/deed.en_GB'>CC BY</a>.</p>
<p><a href='http://www.flickr.com/photos/lisa_yarost/2117017850/'>money pills 3</a> by Lisa Yarost, <a href='http://creativecommons.org/licenses/by/2.0/deed.en_GB'>CC BY</a>.</p>
<p>Web Template \"Tomatoes\" by <a href='http://www.freecsstemplates.org/preview/tomatoes/'>Free CSS Templates</a>, Creative Commons Attribution 2.5 License</p>
<p>Thanks to Toby Thurston for permission to base code on his <a href='http://search.cpan.org/~toby/Geo-Coordinates-OSGB-2.04/'>Geo-Coordinates-OSGB</a></p>
<p>OSTN02 transform and OS StreetView is Crown Copyright &copy; 2002-2011</p>
<p><a href='http://www.openstreetmap.org/'>OpenStreetMap</a> &copy; OpenStreetMap contributors, <a href='http://creativecommons.org/licenses/by-sa/2.0/'>CC-BY-SA</a></p>
<p><a href='http://steve8.dev.openstreetmap.org/os7.htm'>7th Series Maps from Steve, Tim et. al.</a></p>
<p><a href='http://www.npemap.org.uk/'>NPE maps by Richard Fairhurst et. al.</a></p>";

$hardcodedSettings['contactExternal'] = "";

$hardcodedSettings['footer'] = '<p>This site contains data supplied by TBC (&copy; 2011 <a href="http://TBC/">TBC</a>), and is used under the terms of <a href="TBC">TBC</a>. This site contains Ordnance Survey data &copy; Crown copyright and database right 2011, user under <a href="http://www.ordnancesurvey.co.uk/opendata/">OS OpenData</a>. All views expressed are of the original author and are not necessarily the views of this site.</p>';

$hardcodedSettings['footerExternal'] = '';

$hardcodedSettings['frontPageText'] = '<p>This dataset can be improved by <em>YOUR</em> input. Have a look at locations known to you, and add corrections as needed. This information is then shared with the public as open data, with few restrictions placed upon its reuse.</p>';

$hardcodedSettings['sidebar'] = '					<li>
						<h2>About</h2>
						<p><a href="TBC">TBC</a> has release addresses of all local TBC. This site aims to collect their positions and to help validate OpenStreetMap.</p>
					</li>
					<li>
						<h2>Associated Sites</h2>
						<ul>
							<li><a href="TBC">Provider Website</a></li>

						</ul>
					</li>
					<li>
						<h2>Tools</h2>
						<ul>
							<li><a href="export.php">Export</a></li>
							<li><a href="admin.php">Admin</a></li>
							<li><a href="coverage.php">Coverage</a></li>
						</ul>
					</li>';

$hardcodedSettings['sidebarExternal'] = '';

$hardcodedSettings['mapTitle'] = 'Locations of Services';

$hardcodedSettings['readOnly'] = 0;
$hardcodedSettings['enableCaptcha'] = 1;
$hardcodedSettings['markPageNoise'] = 0.001;
$hardcodedSettings['recaptchaPublic'] = "6LfeycQSAAAAACZkvM4XU0dZqDydbUjpZtaqqUNZ";
$hardcodedSettings['recaptchaPrivate'] = "6LfeycQSAAAAAJBDCX-kCsIASlHuRr9AsOoxuM74";

$hardcodedSettings['activityLogMaxTime'] = 30; //days
$hardcodedSettings['uploadDatabaseName'] = "var/upload.csv";
$hardcodedSettings['adminMaxPhpTime'] = 120;

$hardcodedSettings['initialZoomMarking'] = 15;
$hardcodedSettings['initialZoomOverview'] = 10;

$hardcodedSettings['xapilatrange'] = 0.01;
$hardcodedSettings['xapilonrange'] = 0.01;
$hardcodedSettings['osmsearchkey'] = 'amenity';
$hardcodedSettings['osmsearchvalues'] = 'school;college';
$hardcodedSettings['xapiUrl'] = "http://jxapi.openstreetmap.org/xapi/api/0.6/*";

$hardcodedSettings['ostn02bzFile'] = 'ostn02php/ostn02data.txt.bz2';
$hardcodedSettings['ostn02sqliteFile'] = 'ostn02php/ostn02.db';
$hardcodedSettings['codepointFile'] = "codepoint/codepo_gb.zip";

function GetConfigOption($key)
{
	global $secretsdb;
	if(isset($secretsdb['data'][$key]))
		return $secretsdb['data'][$key];	

	global $configdb;
	if(isset($configdb['data'][$key]))
		return $configdb['data'][$key];	

	global $hardcodedSettings;
	if(isset($hardcodedSettings[$key]))
		return $hardcodedSettings[$key];

	return null;
}

function SetConfigOptionSecret($key, $value)
{
	global $secretsdb;
	$data = $secretsdb['data'];
	$data[$key] = $value;
	$secretsdb['data'] = $data;
}

function UnsetConfigOptionSecret($key)
{
	global $secretsdb;
	$data = $secretsdb['data'];
	unset($data[$key]);
	$secretsdb['data'] = $data;
}

function SetConfigOption($key, $value)
{
	global $configdb;
	$data = $configdb['data'];
	$data[$key] = $value;
	$configdb['data'] = $data;
}

$maxchars = 1024;
$maxnickname = 100;

?>
