<?php
session_start();
require_once('config.php');
if(!isset($_SESSION['username']) or $_SESSION['username'] != "admin") die("Access restricted");

$masterdb = new GenericSqliteTable("var/master.db","master");
$ids = $masterdb->GetKeys();
if(count($ids)==0) die('Import data to establish column names');
//$colNames = array_keys($masterdb[$ids[0]]);
$nameCol = GetConfigOption('nameCol');
$idCol = GetConfigOption('idCol');
if(!isset($masterdb[$_GET['id']])) die("No such record");
$record = $masterdb[$_GET['id']];

$addDbError = Null;
$recordUpdated = 0;
$recordDeleted = 0;
if(isset($_POST['update']) and $_POST['update'] == "Update" and $addDbError == Null)
{
	$ref = $_POST[$idCol];
	$data = array();
	foreach($_POST as $k => $v)
	{
		if($k == "update") continue;
		$data[$k] = $v;
	}
	$masterdb[$ref] = $data;
	$recordUpdated = 1;
	$record = $masterdb[$_GET['id']];
}

if(isset($_POST['delete']) and $_POST['delete'] == "Delete" and $addDbError == Null)
{
	$ref = $_POST[$idCol];
	unset($masterdb[$ref]);
	$recordDeleted = 1;
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License

Name       : Tomatoes
Description: A two-column, fixed-width design for 1024x768 screen resolutions.
Version    : 1.0
Released   : 20110301

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo GetConfigOption('overallTitle').", ".GetConfigOption('subTitle');?></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<?php $pageCatExplore = 1;
				require('topbar.php'); ?>
			</ul>
		</div>
		<!-- end #menu -->
	</div>
	<div id="logo">
		<h1><a href="#"><?php echo GetConfigOption('overallTitle');?></a></h1>
		<p><em><?php echo GetConfigOption('subTitle');?></em></p>
	</div>
	<hr />
	<!-- end #logo -->
	<div id="page">
		<div id="page-bgtop">
			<div id="content">

<?php if($addDbError!=Null) { ?>
				<div class="post">
					<h2 class="title"><a href="#">Error Adding Record to Database</a></h2>
					<div class="entry">
						<p><?php echo $addDbError; ?></p>
					</div>
				</div>
<?php } 

if($recordUpdated)
{
?>
				<div class="post">
					<h2 class="title"><a href="#">Record Successfully Updated</a></h2>
					<div class="entry">
						<p>Yay!</p>
					</div>
				</div>

<?php
} 

if($recordDeleted)
{
?>
				<div class="post">
					<h2 class="title"><a href="#">Record Successfully Deleted</a></h2>
					<div class="entry">
						<p>Die!</p>
					</div>
				</div>

<?php
} 


if(!$recordDeleted)
{
?>
				<div class="post">
					<h2 class="title"><a href="#">Add a Record</a></h2>
					<div class="entry">
					<form action="" method="post"><ul>
					<?php foreach($record as $k => $v)
					{
						if($k == "key") continue;
						echo "<li>".htmlspecialchars($k)." <input type='text' name=\"".htmlspecialchars($k)."\" value=\"".htmlspecialchars($v)."\"></li>";

					} ?>

					</ul><p><input name="update" type="submit" value="Update" /><input name="delete" type="submit" value="Delete" /></p></form>
					</div>
				</div>

<?php
}
?>

			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<?php require('sidebar.php'); ?>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
		</div>
	</div>
	<!-- end #page -->
	<div id="footer">

<?php
	require_once('footer.php');
?>
	</div>
	<!-- end #footer -->
</div>
</body>
</html>
