<?php
session_start();
if(!isset($_SESSION['username']) or $_SESSION['username'] != "admin") die("Access restricted");

require_once('config.php');
set_time_limit(GetConfigOption('adminMaxPhpTime'));
$masterdb = new GenericSqliteTable("var/master.db","master");
$locationdb = new GenericSqliteTable("var/locations.db","locations");

require_once('ostn02php/ostn02config.php');
$config_OSTN02_bz2_file = GetConfigOption('ostn02bzFile');
$config_OSTN02_sqlite_file = GetConfigOption('ostn02sqliteFile');

require_once('codepoint/codepointconfig.php');
$configCodePointFile = GetConfigOption('codepointFile');

require_once('ostn02php/OSTN02.php');
require_once('ostn02php/GenerateTransformFunc.php');
require_once('ostn02php/OSGB.php');
require_once('codepoint/codepoint.php');

$ids = $masterdb->GetKeys();
$colNames = array();
if(count($ids)>0)
	$colNames = array_keys($masterdb[$ids[0]]);

//print_r($_POST);

if(isset($_POST['installsqlite']) and !file_exists('ostn02php/ostn02.db'))
{
	GenerateTransformFunc();
}

if(isset($_POST['deletesqlite']) and file_exists('ostn02php/ostn02.db'))
{
	unlink('ostn02php/ostn02.db');
}

if(isset($_POST['deleteinitial']))
foreach($ids as $id)
{
	$record = $masterdb[$id];	
	$locations = $locationdb[$id];

	//Remove previous rough location
	//$locations['locations'] = array();
	$templocs = array();
	if(!isset($locations['locations']))
		$locations['locations'] = array();
	foreach ($locations['locations'] as $loc)
	{
		if(!$loc['roughposition'])
		{
			array_push($templocs, $loc);
			echo " keeppos";
		}
	}
	$locations['locations'] = $templocs;

	//array_push($locations['locations'], $newloc);
	$locationdb[$id] = $locations;
	
}

$importOsMapRef = (isset($_POST['importeasting']) and isset($_POST['importnorthing']));
$importUkPostcode = isset($_POST['importpostcode']);
$importLatLon = (isset($_POST['importlat']) and isset($_POST['importlon']));

//print_r($_POST);
if($importOsMapRef or $importUkPostcode or $importLatLon)
{

foreach($ids as $id)
{
	$record = $masterdb[$id];
	//echo "<li>".htmlspecialchars($record[$nameCol]);
	
	$locations = $locationdb[$id];
	//$latlon = gr_to_wgs84_ll(array ("e"=>$record['Easting'],"n"=>$record['Northing']));

	//Calculate position
	$gla = Null; $glo = Null;
	if($importUkPostcode or $importOsMapRef)
	{
		if($importUkPostcode)
		{	
			//echo $record[$_POST['importpostcode']]."<br>\n";
			if(!isset($record[$_POST['importpostcode']])) continue;
			if(strlen($record[$_POST['importpostcode']])==0) continue;
			$pos = GetCodepointPos($record[$_POST['importpostcode']]);
			if($pos === Null) continue;
		}
		if($importOsMapRef)
			$pos = array($record[$_POST['importeasting']],$record[$_POST['importnorthing']]);
		//print_r($pos);
		if($pos === null) continue;

		try
		{
			list($x,$y,$h) = OSGB36_to_ETRS89 ($pos[0],$pos[1]);
		}
		catch (Exception $e) {
			echo 'Caught exception: ',  $e->getMessage(), "\n";
			continue;
		}
	
		//list($x,$y,$h) = OSGB36_to_ETRS89 ($record['X'],$record['Y']);
		//echo ",".$x.",".$y;
		list($gla, $glo) = grid_to_ll($x, $y);
		//echo ", ".$gla,", ".$glo;
	}

	if($importLatLon)
	{
		$gla = $record[$_POST['importlat']];
		$glo = $record[$_POST['importlon']];
	}

	if($gla === Null or $glo === Null) continue;
	//echo $gla.",".$glo."<br/>";	
	//Remove previous rough location
	//$locations['locations'] = array();
	$templocs = array();
	if(!isset($locations['locations']))
		$locations['locations'] = array();
	foreach ($locations['locations'] as $loc)
	{
		if(!$loc['roughposition'])
		{
			array_push($templocs, $loc);
			echo " keeppos";
		}
	}
	$locations['locations'] = $templocs;

	//Add a new rough location
	{
	$newloc['comment'] = "";
	$newloc['nickname'] = $_POST['nickname'];
	$newloc['lat'] = (float)($gla);
	$newloc['lon'] = (float)($glo);
	$newloc['timestamp'] = time();
	$newloc['source'] = $_POST['source'];
	$newloc['license'] = $_POST['license'];
	$newloc['roughposition'] = 1;//!($record['Positional Quality of the Grid Reference'] == '1m at address delivery point');
	$newloc['karma'] = 0;
	$newloc['uuid'] = uniqid();
	
	array_push($locations['locations'], $newloc);
	$locationdb[$id] = $locations;
	}
	
}


}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License

Name       : Tomatoes
Description: A two-column, fixed-width design for 1024x768 screen resolutions.
Version    : 1.0
Released   : 20110301

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo GetConfigOption('overallTitle').", ".GetConfigOption('subTitle');?></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<?php $pageCatExplore = 1;
				require('topbar.php'); ?>
			</ul>
		</div>
		<!-- end #menu -->
	</div>
	<div id="logo">
		<h1><a href="#"><?php echo GetConfigOption('overallTitle');?></a></h1>
		<p><em><?php echo GetConfigOption('subTitle');?></em></p>
	</div>
	<hr />
	<!-- end #logo -->
	<div id="page">
		<div id="page-bgtop">
			<div id="content">
				<div class="post">
					<h2 class="title"><a href="#">Control Initial Locations</a></h2>
					<div class="entry">
				
					<h3>OSTN02 SQLite Transform Installation</h3>
					<p>The SQLite version of OSTN02 can be installed and greatly increases the speed of UK OS map conversions. It takes about 21Mb.</p>
					<?php $checkSqlite = CheckOstn02Sqlite(); ?>
					<?php if($checkSqlite == 1) {?>
					<p>It is currently installed and ready for use.</p>
					<form method="post" action="">
					<p><input type="submit" name="deletesqlite" value="Delete SQLite OSTN02" /></p>
					</form>
					<?php }
					if($checkSqlite==-1){ ?>
					<p>Sqlite OSTN02 doesn't have the correct number of entries. Try deleting and recreating it.</p>
					<form method="post" action="">
					<p><input type="submit" name="deletesqlite" value="Delete SQLite OSTN02" /></p>
					</form>
					<?php }

					if($checkSqlite==0){ ?>
					<p>It is currently not installed. This takes a little while, and hopefully your we hosting doesn't have it's maximum PHP run time too low. It is currently <?php echo ini_get('max_execution_time');?> seconds. It the script times out, the system can get a little confused (apache doesn't finish creating the database but also doesn't remove the file lock). In that case, delete ostn02php/ostn02.db and restart your web server.</p>
					<form method="post" action="">
					<p><input type="submit" name="installsqlite" value="Install SQLite OSTN02" /></p>
					</form>
					<?php } ?>

					<h3>Set From UK OS Eastings, Northings</h3>
					<form method="post" action="">
					<p>Easting (X): <select name="importeasting">
					<?php
					foreach($colNames as $col) echo "<option>".htmlspecialchars($col)."</option>\n";
					?>
					</select></p>
					<p>Northing (Y): <select name="importnorthing">
					<?php
					foreach($colNames as $col) echo "<option>".htmlspecialchars($col)."</option>\n";
					?>
					</select></p>
					<p>Nickname: <input type="text" name="nickname" value="Import"/></p>
					<p>Source: <input type="text" name="source" value="Original Dataset"/></p>
					<p>License: <input type="text" name="license" value="Original Dataset License"/></p>
					<p><input type="submit" value="Submit" /></p>
					</form>


					<h3>Set From WGS84 (GPS) Latitude, Longitude</h3>
					<form method="post" action="">
					<p>Latitude (deg): <select name="importlat">
					<?php
					foreach($colNames as $col) echo "<option>".htmlspecialchars($col)."</option>\n";
					?>
					</select></p>
					<p>Longitude (deg): <select name="importlon">
					<?php
					foreach($colNames as $col) echo "<option>".htmlspecialchars($col)."</option>\n";
					?>
					</select></p>
					<p>Nickname: <input type="text" name="nickname" value="Import"/></p>
					<p>Source: <input type="text" name="source" value="Original Dataset"/></p>
					<p>License: <input type="text" name="license" value="Original Dataset License"/></p>
					<p><input type="submit" value="Submit" /></p>
					</form>

					<h3>Set From UK Postcodes (using OS Codepoint)</h3>
					<?php if (file_exists('codepoint/codepo_gb.zip'))
					{?>
					<form method="post" action="">
					<p>UK Postcode: <select name="importpostcode">
					<?php
					foreach($colNames as $col) echo "<option>".htmlspecialchars($col)."</option>\n";
					?>
					</select></p>
					<p>Nickname: <input type="text" name="nickname" value="Import"/></p>
					<p>Source: <input type="text" name="source" value="Original Dataset, OS CodePoint"/></p>
					<p>License: <input type="text" name="license" value="Original Dataset License, OS Opendata"/></p>
					<p><input type="submit" value="Submit" /></p>
					</form>
					<?php } else { ?>

					<p>Codepoint data file (codepoint/codepo_gb.zip) not installed. It should be freely available for <a href="http://data.gov.uk/dataset/os-code-point-open">download</a>.</p>
					<?php } ?>
					<h3>Delete Initial Positions</h3>
					<p>This doesn't affect user marks and gps positions.</p>
					<form method="post" action="">
					<p><input type="submit" name="deleteinitial" value="Delete Initial Positions" /></p>
					</form>
					</div>

				</div>

			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<?php require('sidebar.php'); ?>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
		</div>
	</div>
	<!-- end #page -->
	<div id="footer">

<?php
	require_once('footer.php');
?>
	</div>
	<!-- end #footer -->
</div>
</body>
</html>
